Bug 600975 - [abrt] crash in pdfedit-0.4.3-4.fc12: SIGSEGV: gui::PageSpace::~PageSpace()
[abrt] crash in pdfedit-0.4.3-4.fc12: SIGSEGV: gui::PageSpace::~PageSpace()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pdfedit (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
abrt_hash:2ad64e7d2bf96965888b6e64a27...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-06 17:39 EDT by Louis van Dyk
Modified: 2010-12-03 09:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:00:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (7.48 KB, text/plain)
2010-06-06 17:39 EDT, Louis van Dyk
no flags Details

  None (edit)
Description Louis van Dyk 2010-06-06 17:39:51 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: pdfedit
component: pdfedit
executable: /usr/bin/pdfedit
global_uuid: 2ad64e7d2bf96965888b6e64a2791e689178cc0e
kernel: 2.6.32.12-115.fc12.x86_64
package: pdfedit-0.4.3-4.fc12
rating: 3
reason: Process /usr/bin/pdfedit was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.  The program hangs for long periods of time, so I don't know when this occurred.
2.  I was trying to add an "X" into a block on the original PDF by using "Add Text" - this didn't work.
3.
Comment 1 Louis van Dyk 2010-06-06 17:39:57 EDT
Created attachment 421665 [details]
File: backtrace
Comment 2 Orion Poplawski 2010-11-01 16:47:36 EDT
#0  0x0000000000000000 in ?? ()
No symbol table info available.
#1  0x00000000004ae3fc in gui::PageSpace::~PageSpace() ()
No symbol table info available.
#2  0x00000000004ae519 in gui::PageSpace::~PageSpace() ()
No symbol table info available.
#3  0x0000003e27392ec6 in QWidget::~QWidget (this=0x278f250, 
    __in_chrg=<value optimized out>) at kernel/qwidget.cpp:976
        it = {<QPtrListIterator<QObject>> = {<QGListIterator> = {
              list = 0x278fa10, 
              curNode = 0x27b02d0}, <No data fields>}, <No data fields>}
        obj = 0x278f860
        f = 0x0
#4  0x0000003e2747e341 in ~QFrame (this=0x278f250, 
    __in_chrg=<value optimized out>) at widgets/qframe.h:51
No locals.
#5  QSplitter::~QSplitter (this=0x278f250, __in_chrg=<value optimized out>)
    at widgets/qsplitter.cpp:305


Can you reproduce?

Also, you appear to be missing the pdfedit debuginfo package.
Comment 3 Bug Zapper 2010-11-03 09:30:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-03 09:00:19 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.